summaryrefslogtreecommitdiff
path: root/tests/cp
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2008-08-13 10:40:58 +0200
committerJim Meyering <meyering@redhat.com>2008-08-14 23:08:03 +0200
commita01c4720d6bd05798168654534c70a31a39e4828 (patch)
treedcc11220e04bb3135b98cff8268b0ba5097301c1 /tests/cp
parent081ebb2822f0d9256c714302f2e83eb4f198ba6c (diff)
downloadcoreutils-a01c4720d6bd05798168654534c70a31a39e4828.tar.xz
set envvars via "env" to avoid spurious set -x output from bad shells
* tests/dd/misc: Set LC_ALL=C via env. * tests/cp/thru-dangling: Set POSIXLY_CORRECT via env. This is necessary at least on AIX 5.3. Reported by Jeph Cowan and Ralf Wildenhues. Details here: http://thread.gmane.org/gmane.comp.gnu.coreutils.bugs/14235/focus=14257
Diffstat (limited to 'tests/cp')
-rwxr-xr-xtests/cp/thru-dangling2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/cp/thru-dangling b/tests/cp/thru-dangling
index 71b41cd5d..7caeed33b 100755
--- a/tests/cp/thru-dangling
+++ b/tests/cp/thru-dangling
@@ -38,7 +38,7 @@ compare err exp-err || fail=1
test -f no-such && fail=1
# But you can set POSIXLY_CORRECT to get the historical behavior.
-POSIXLY_CORRECT=1 cp f dangle > out 2>&1 || fail=1
+env POSIXLY_CORRECT=1 cp f dangle > out 2>&1 || fail=1
cat no-such >> out || fail=1
compare out exp || fail=1